This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1301290 - Mitaka - overcloud deploy gives: [ERROR] /usr/libexec/mysqld: option '--wsrep_notify_cmd' requires an argument
Mitaka - overcloud deploy gives: [ERROR] /usr/libexec/mysqld: option '--wsre...
Status: CLOSED EOL
Product: RDO
Classification: Community
Component: openstack-tripleo-heat-templates (Show other bugs)
trunk
Unspecified Unspecified
unspecified Severity unspecified
: ---
: Kilo
Assigned To: Tomas Sedovic
Shai Revivo
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-23 12:11 EST by Michele Baldessari
Modified: 2016-05-19 12:01 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-19 12:01:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 272149 None None None 2016-01-25 13:15 EST

  None (edit)
Description Michele Baldessari 2016-01-23 12:11:17 EST
Description of problem:
After upgrading puppet modules to openstack-puppet-modules-8.0.0a0-11.g927ae19.el7 (to get the fix for BZ 1300562) I now get the following:

Warning: Scope(Class[Mongodb::Server]): Replset specified, but no replset_members or replset_config provided.
Warning: Scope(Haproxy::Config[haproxy]): haproxy: The $merge_options parameter will default to true in the next major release. Please review the documentation regarding the implicatio
ns.
Error: Execution of '/usr/libexec/mysqld -V' returned 1: 160123 16:57:15 [Warning] option 'open_files_limit': unsigned value 18446744073709551615 adjusted to 4294967295
160123 16:57:15 [ERROR] /usr/libexec/mysqld: option '--wsrep_notify_cmd' requires an argument
160123 16:57:15 [ERROR] Aborting
Error: /Stage[main]/Mysql::Server::Installdb/Mysql_datadir[/var/lib/mysql]/ensure: change from absent to present failed: Execution of '/usr/libexec/mysqld -V' returned 1: 160123 16:57:
15 [Warning] option 'open_files_limit': unsigned value 18446744073709551615 adjusted to 4294967295
160123 16:57:15 [ERROR] /usr/libexec/mysqld: option '--wsrep_notify_cmd' requires an argument
160123 16:57:15 [ERROR] Aborting
Warning: /Stage[main]/Mysql::Server::Service/File[/var/log/mariadb/mariadb.log]: Skipping because of failed dependencies
Warning: /Stage[main]/Mysql::Server::Root_password/Exec[remove install pass]: Skipping because of failed dependencies
Warning: /Stage[main]/Mysql::Server/Anchor[mysql::server::end]: Skipping because of failed dependencies
Error: Could not prefetch mysql_user provider 'mysql': Execution of '/usr/bin/mysql -NBe SELECT CONCAT(User, '@',Host) AS User FROM mysql.user' returned 1: ERROR 2002 (HY000): Can't co
nnect to local MySQL server through socket '/var/lib/mysql/mysql.sock' (2)
Warning: /Stage[main]/Mysql::Server::Account_security/Mysql_user[root@localhost.localdomain]: Skipping because of failed dependencies
Warning: /Stage[main]/Mysql::Server::Account_security/Mysql_user[@overcloud-controller-0.localdomain]: Skipping because of failed dependencies
Warning: /Stage[main]/Mysql::Server::Account_security/Mysql_user[@localhost.localdomain]: Skipping because of failed dependencies
Error: Could not prefetch mysql_database provider 'mysql': Execution of '/usr/bin/mysql -NBe show databases' returned 1: ERROR 2002 (HY000): Can't connect to local MySQL server through
 socket '/var/lib/mysql/mysql.sock' (2)


Version-Release number of selected component (if applicable):
openstack-puppet-modules-8.0.0a0-11.g927ae19.el7

How reproducible:
Deploy with puppet-pacemaker.yml on delorean trunk

I will take a look at which exact commit broke this later on.
Comment 1 Michele Baldessari 2016-01-23 13:15:47 EST
Reverting this commit fixes things again:
commit e30e0bc958761890ea4f06cdd3f1fc7242a00fe2
Author: Julien Pivotto <roidelapluie@inuits.eu>
Date:   Fri Jan 8 13:52:23 2016 +0100

    Re-Add the ability to set a empty string as option parameter
    
    Prior to 136b1aa646efde57b91fd994bfcf55b38ba7c294 it was possible to
    have an empty string as value of a my.cnf parameter, resulting in a line
    with just the parameter name.
    
    That commit re-enable that behavior that was removed by accident.



Not sure reverting is the real fix though. Maybe leaving out the option
wsrep_notify_cmd => '' from tht is enough?
Comment 2 Steven Hardy 2016-01-25 06:48:28 EST
We're seeing this in upstream CI as well:

https://bugs.launchpad.net/tripleo/+bug/1537720
Comment 4 Chandan Kumar 2016-05-19 12:01:26 EDT
This bug is against a Version which has reached End of Life.
If it's still present in supported release (http://releases.openstack.org), please update Version and reopen.

Note You need to log in before you can comment on or make changes to this bug.